[CLI] Install Run Requirements

Docker & Lilypad, Private Key

Install Requirements

Supported platforms: Linux, macOS, WSL2 on both x86_64 and arm64

Install Docker

Docker 🐳 installed & running

Install Lilypad CLI in your terminal / command line

curl -sSL -O https://raw.githubusercontent.com/bacalhau-project/lilypad-modicum/main/lilypad && sudo install lilypad /usr/local/bin/lilypad

Add your private key to your terminal / command line instance:

Get your private key from metamask: Accounts -> Account Details -> Show private key

Set your private key in terminal

export PRIVATE_KEY=<the private key you copied>

You can verify you have set it with:

echo $PRIVATE_KEY

Last updated

Logo